STRING2KEY(8) | System Manager's Manual | STRING2KEY(8)

# NAME

string2key — map a password into a key

# SYNOPSIS

string2key | [-5 | --version5] [-4 | --version4] [-a | --afs] [-c cell | --cell=cell] [-w password | --password=password] [-p principal | --principal=principal] [-k string | --keytype=string] password

# DESCRIPTION

string2key performs the string-to-key function. This is useful when you want to handle the raw key instead of the password. Supported options:

-5, --version5
  Output Kerberos v5 string-to-key
-4, --version4
  Output Kerberos v4 string-to-key
-a, --afs
  Output AFS string-to-key
-c cell, --cell=cell
  AFS cell to use
-w password, --password=password
  Password to use
-p principal, --principal=principal
  Kerberos v5 principal to use
-k string, --keytype=string
  Keytype
--version
  print version
--help

March 4, 2000 | NetBSD 6.0